multiplies_result< tensor4_basic< S1 >, tensor_basic< S2 > >

## Public Types

typedef promote< S1, S2 >::type | S
typedef binop_error< details::multiplies, tensor4_basic< S1 >, tensor_basic< S2 >, undeterminated_basic< S > > | type

## Detailed Description

### template<class S1, class S2>
struct rheolef::details::multiplies_result< tensor4_basic< S1 >, tensor_basic< S2 > >

Definition at line 728 of file expression.h.

## Member Typedef Documentation

## S

typedef promote<S1,S2>::type S

Definition at line 729 of file expression.h.

## type

typedef binop_error<details::multiplies,tensor4_basic<S1>,tensor_basic<S2>,undeterminated_basic<S> > type

Definition at line 730 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/expression.h